Skip to main content
GET
/
v1
/
sessions
/
{session_id}
Get Session
curl --request GET \
  --url https://api.example.com/v1/sessions/{session_id}
Get the current state and details of a session.

Request

curl https://api.tapkit.ai/v1/sessions/{session_id} \
  -H "X-API-Key: joot_your_api_key"

Path Parameters

ParameterTypeDescription
session_idstringThe session identifier

Response

Status: 200 OK
{
  "id": "sess_abc123",
  "phone_id": "abc123-def456",
  "instruction": "Open Instagram and like the first 3 posts",
  "status": "running",
  "cost_usd": null,
  "duration_ms": null,
  "num_turns": 8,
  "error": null,
  "created_at": "2024-01-15T10:30:00Z",
  "started_at": "2024-01-15T10:30:02Z",
  "completed_at": null
}
See Create Session for full response field descriptions.

Examples

Python

import requests

response = requests.get(
    f"https://api.tapkit.ai/v1/sessions/{session_id}",
    headers={"X-API-Key": "joot_..."}
)

session = response.json()
print(f"Status: {session['status']}, Turns: {session['num_turns']}")